{
    "general": {
        "name": "{{ my_orga }}",
        "max_account": 0,
        "readme": [
            {
                "language": "francais",
                "source_folder" : "{{ my_install_path }}/readmes/fr/"
            },
            {
                "language": "english",
                "source_folder" : "{{ my_install_path }}/readmes/en/"
            }
        ],
        "terms_of_use": "{{ my_terms_of_use }}",
        "web_home": "{{ my_web_home }}",
        "double_authentication_for_admin": false,
        "db": "gomngr",
        "url": "{{ my_url }}",
        "admin": [ "{{ my_admin_list | join('", "') }}" ],
        "support": "{{ my_support_email }}",
        "accounts": "{{ my_accounts_email }}",
        "secret": "{{ my_secret }}",
        "script_dir": "{{ my_install_path }}/scripts",
        "cron_bin_script": "{{ my_install_path }}/gomngr.sh",
        "admin_ip": [],
        "usage_directory": "/tmp",
        "home": "{{ my_users_home }}",
        "use_group_in_path": {{ my_group_in_path }},
        "never_update_user_home": true,
        "main_groups": ["{{ my_default_group }}"],
        "default_main_group": "{{ my_default_group }}",
        "minuid": {{ my_minuid }},
        "maxuid": {{ my_maxuid }},
        "mingid": {{ my_mingid }},
        "maxgid": {{ my_maxgid }},
        "mailer": "{{ my_mailer }}",
        "templates": "{{ my_templates }}",
        "bansec": "{{ my_bansec }}",
        "username_max_length": {{ my_username_max_length }},
        "registration_group": "{{ my_registration_group }}",
        "auto_add_group": {{ my_auto_add_group }},
        "disable_user_group": {{ my_disable_user_group }},
        "prevent_reuse": {{ my_prevent_reuse }},
        "send_expiration_notif_to_admin": true,
        "disable_auto_expiration": {{ my_disable_auto_expiration }},
        "limit_expire_mail": 3,
        "quota": {
        },
        "user_extra_dirs": [
            {% if my_enable_user_extra_dirs %}
            "{{ my_users_home }}/#USER#/extra/#USER#/",
            "{{ my_users_home }}/#USER#/extra/#GROUP#/"
            {% endif %}
        ],
        "plugin_script_dir": "{{ my_install_path }}/plugin-scripts"
        },
    "usage": [
    ],
    "duration": {{ my_account_duration | to_nice_json(indent=8) }},
    "enable_ui": {{ my_enable_ui | to_nice_json(indent=8) }},
    "project": {{ my_project | to_nice_json(indent=8) }},
    "registration": {{ my_registration_option | to_nice_json(indent=8) }},
    "reservation": {
        "group_or_project": "project",
        "show_choice_in_ui": true
    },
    "bills": {
        "use": false,
        "dir": "/genouestaccountmanager-bills"
    },
    "mongo": {
        "host": "{{ my_mongo_host }}",
        "port": 27017
    },
    "rabbitmq": {
        "url": null,
        "exchange": "gomngr"
    },
    "redis": {
        "host": "{{ my_redis_host }}",
        "port": {{ my_redis_port }}
    },
    "nodemailer": {
        "prefix": "{{ my_orga }}",
        "host": "{{ my_smtp_host }}",
        "port": "{{ my_smtp_port }}",
        "origin": "{{ my_smtp_origin }}",
        "list": {
            "address": "{{ my_smtp_list_address }}",
            "cmd_add": "ADD",
            "cmd_del": "DEL",
            "cmd_address": "{{ my_smtp_list_cmd_address }}"
        }
    },
    "gomail": {
        "host": null,
        "api_root": null,
        "api_secret": null,
        "main_list": "mytestlist",
        "origin": "{{ my_smtp_origin }}",
        "tag": ""
    },
    "ldap": {
        "host": "{{ my_openldap_host }}",
        "dn": "{{ my_openldap_dn }}{# mandatory #}",
        "admin_cn": "{{ my_openldap_admin_cn }}{# mandatory #}",
        "admin_dn": "{{ my_openldap_dn }}{# mandatory #}",
        "admin_password": "{{ my_openldap_admin_password }}{# mandatory #}",
        "team": "{{ my_default_group }}"
    },
    "mysql": {
        "host": "{{ my_mariadb_host }}",
        "user": "{{ my_mariadb_user }}",
        "password": "{{ my_mariadb_password }}"
    },
    "tp": {
        "prefix": "tp",
        "group": {"name": "tps", "gid": 1000},
        "extra_expiration": 5,
        "fake_mail_domain": "my.org"
    },
    "message": {{ my_email_message | to_nice_json }},

    "plugins": [
        {% if my_enable_plugins %}
        {"name": "test", "display_name": "Test", "admin": false},
        {"name": "adminquotatest", "display_name": "Quotas", "admin": true},
        {"name": "amqp", "display_name": "RabbitMQ", "admin": false}
        {% endif %}
    ],
    "plugin_config" : {
        "test": {
            "parameter1" : "test1"
        },
        "adminquotatest": {
            "volumes": [
                {"id": "disk1", "value": 100},
                {"id": "diskA", "value": 150}
            ]
        }
    }
}
